<?php

load_language('plugin.lang', dirname(__FILE__).'/');

function autoupdate_plugins_update_filter($content, &$smarty)
{
  $search = '<a href="{$plugin.URL_DOWNLOAD}">{\'plugins_download\'|@translate}</a>';
  $replacement = '  <a href="{$plugin.URL_DOWNLOAD}">{\'plugins_download\'|@translate}</a><br>
    <a href="#" onClick="autoupdate_ignore(\'{$plugin.EXT_NAME}\', true, {$smarty.foreach.plugins_loop.index}); return false;" id="au_ignore_{$smarty.foreach.plugins_loop.index}_true" {if $plugin.EXT_NAME|@in_array:$AU_IGNORE_LIST}style="display: none;"{/if}>{\'Don\\\'t notify on admin homepage\'|@translate}</a>
    <a href="#" onClick="autoupdate_ignore(\'{$plugin.EXT_NAME}\', false, {$smarty.foreach.plugins_loop.index}); return false;" id="au_ignore_{$smarty.foreach.plugins_loop.index}_false" {if !$plugin.EXT_NAME|@in_array:$AU_IGNORE_LIST}style="display: none;"{/if}>{\'Notify on admin homepage\'|@translate}</a>';

  return str_replace($search, $replacement, $content);;  
}

$script_head = '
<script type="text/javascript">
function autoupdate_ignore(name, bool, id) {
  jQuery.post(
    "'.PHPWG_ROOT_PATH.'plugins/autoupdate/remote.php",
    { "autoupdate_ignore[]": [name, bool] },
    function(data) {
      if (data == "ok") {
        jQuery("#au_ignore_"+id+"_"+bool).hide();
        jQuery("#au_ignore_"+id+"_"+!bool).show();
      }
    }
  );
}
</script>
';

//$template->delete_compiled_templates();
$template->block_html_head('', $script_head, $smarty, $repeat);
$template->set_prefilter('plugins', 'autoupdate_plugins_update_filter');
$template->assign('AU_IGNORE_LIST', unserialize($conf['autoupdate_ignore_list']));

?>